<?xml version="1.0" encoding="utf-8"?>
<resources>


    <declare-styleable name="BannerAdView">
        <attr name="ad_slot_name" format="string"/>
    </declare-styleable>


    <declare-styleable name="NativeAdView">
        <!-- NativeAdViewHolder -->
        <attr name="ad_view_title" format="reference"/>
        <attr name="ad_view_title_desc" format="reference"/>
        <attr name="ad_view_icon" format="reference"/>
        <attr name="ad_view_media_content_group" format="reference"/>
        <attr name="ad_view_call_to_action" format="reference"/>
        <attr name="ad_view_rating_bar" format="reference"/>
        <!-- 这里指定广告商提供的原生广告根节点view, 各个广告库中已经写了默认的-->
        <!-- lib_ad_admob/res/layout/layout_admob_native_ad_view_root -->

        <attr name="native_csj_advertisers_root_view" format="reference"/>
        <attr name="native_admob_advertisers_root_view" format="reference"/>
        <attr name="native_app_lovin_advertisers_root_view" format="reference"/>
        <attr name="native_gro_more_advertisers_root_view" format="reference"/>
        <attr name="native_app_lovin_max_advertisers_root_view" format="reference"/>
        <attr name="native_custom_advertisers_root_view" format="reference"/>
        <attr name="native_ad_slot_name" format="string"/>

        <attr name="ad_auto_populate" format="boolean"/>

    </declare-styleable>

</resources>